## kf6-threadweaver 6.6.0

=== debian/changelog ===
kf6-threadweaver (6.6.0-0zneon+22.04+jammy+release+build2) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 07:11:31 +0000

kf6-threadweaver (6.6.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:52:38 +0000

kf6-threadweaver (6.4.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:52:12 +0000

kf6-threadweaver (6.3.0-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 12 Jun 2024 10:47:15 +1000

kf6-threadweaver (6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:32:12 +0000

kf6-threadweaver (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-threadweaver (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000
