=== debian/control ===
Source: kf6-threadweaver
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/threadweaver
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-threadweaver.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-threadweaver
Maintainer: Neon CI <neon@kde.org>

Package: kf6-threadweaver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6threadweaver6
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: kf6-threadweaver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-threadweaver (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6threadweaver-dev, libkf6threadweaver-doc
Description: ThreadWeaver library to help multithreaded programming in Qt
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6threadweaver6
Architecture: all
Depends: kf6-threadweaver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-dev
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6threadweaver-doc
Architecture: all
Depends: kf6-threadweaver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
