## kf6-threadweaver 6.17.0+p24.04+vstable+git20250903.0809

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(ThreadWeaver VERSION ${KF_VERSION})
 
 include(FeatureSummary)
