=== debian/changelog ===
kf6-threadweaver (6.18.0+p24.04+vstable+git20250908.2336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:36:53 +0000

kf6-threadweaver (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:15:14 +0000
