## kf6-threadweaver 6.18.0+p24.04+vunstable+git20250909.0005

=== debian/changelog ===
kf6-threadweaver (6.18.0+p24.04+vunstable+git20250909.0005-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 00:05:11 +0000
